import Foundation
import App

abbrev = 'Loknar_TOS'
iconName = 'Loknar_TOS'
longName = 'Loknar Class'
shipFile = 'Loknar_TOS' 
menuGroup = 'TOS Ships'
playerMenuGroup = 'TOS Ships'
SubMenu = 'Federation'
species = App.SPECIES_GALAXY

Foundation.ShipDef.Loknar_TOS = Foundation.FedShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile, 'SubMenu': SubMenu })

Foundation.ShipDef.Loknar_TOS.desc = "The USS Helios (NCC-2754) was a Loknar-class Federation frigate starship in the 23rd century.\n\nLoknar class vessels were built during an era of scientific research and exploratory ventures, numerous small warship classes were built, including the Loknar. These vessels were primarily designed by Andorians, who favored a doctrine of border protection for the young Federation.  All Loknar vessels were named for Federation colony provinces and cities, and many are crewed exclusively by Andorians, as part of the Blue Fleet.\n\nOver the course of the Four Years War, the Loknar became a staple of fleet action, and was upgraded several times from its original design.  Mark II variants took advantage of the 60% power increase afforded by the FWE-2 warp system, as well as an increase in firepower with the outdated lasers and cannons replaced by ten FH-5 phaser banks and four FP-3 photon torpedo emplacements. The mark II increased the crew complement to 79, the cargo capacity to 280 SCU and 14,000 metric tons and also included a new binary shield generator of the FSK model.\n\nThe Loknar remained in production until the late 23rd century, with older vessels continuously refit to newer standards."

if menuGroup:           Foundation.ShipDef.Loknar_TOS.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.Loknar_TOS.RegisterQBPlayerShipMenu(playerMenuGroup)

if Foundation.shipList._keyList.has_key(longName):
     Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
     Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]
